# $Id: headermatch.spec,v 1.1 2013/02/06 22:02:36 slords Exp $

Summary: Utility to test a mail message for a header
%define name headermatch
Name: %{name}
%define version 0.0.1
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Text
Source0: %{name}.c
Source1: COPYING
BuildRequires: dietlibc
BuildRoot: %{_tmppath}/%{name}-root
%description

The headermatch utility reads a mail message on standard input and indicates
by exit status whether it contains a given mail header text. The header
text can be provided as the first argument. If no argument is given,
then "X-Spam-Flag: YES" is used as the default.

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Thu Nov 09 2006 Charlie Brady <charlieb@budge.apana.org.au> 0.0.1-02
- Clarify licensing and copyright.

* Thu Nov 09 2006 Charlie Brady <charlieb@budge.apana.org.au>
- Initial

%prep
%setup -c -T

%build
diet -Os gcc -o headermatch %{SOURCE0}

%install
mkdir -p $RPM_BUILD_ROOT/var/qmail/bin
install headermatch $RPM_BUILD_ROOT/var/qmail/bin
cp -a %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/var/qmail/bin/*
%doc COPYING
